clear

capture log close
log using changingmean.txt, text replace
di "changingmean.txt: stata simulation example for changing mean"
version 7

*Example of changing mean: Y_t = Beta_0 + Beta_1*time + u_t
*u_t ~ iid N(0,1), Beta_0 = 0, and Beta_1 = 1

drop _all
* set seed 11111
set obs 100

range time 1 100 100
tsset time

gen u = invnorm(uniform())

gen beta = 1

gen y = beta*time + u

gen mean_y = time

twoway line y mean_y time


capture log close
