clear

capture log close
log using rwalk.txt, text replace
di "rwalk.txt: stata simulation example for random walk"
version 7

*Example of random walk: Y_t = Y_(t-1) + u_t
*y_0 = 0, u_t ~ iid N(0,1)

drop _all
* set seed 11111
set obs 100

gen u = invnorm(uniform())

* y_t is a cumulative sum 

gen y = sum(u)

range time 1 100 100
tsset time

twoway line y time


capture log close
