clear

capture log close
log using rwalkdrift.txt, text replace
di "rwalkdrift.txt: stata simulation example for random walk with drift"
version 7

*Example of random walk: Y_t = Beta + Y_(t-1) + u_t
*y_0 = 0, u_t ~ iid N(0,1), Beta = 1

drop _all
* set seed 11111
set obs 100

gen u = invnorm(uniform())

gen beta = 1

* y_t is a cumulative sum 

gen y = sum(u + beta)

range time 1 100 100
tsset time

gen mean_y = time

twoway line y mean_y time


capture log close
